Package autoglade :: Module autoglade |
[show private | hide private]
[frames | no frames]

## Module autoglade.autoglade

$Id: autoglade.py 42 2007-10-02 14:22:01Z diego $

Classes
`AutoGlade` | AutoGlade main class.
`AutoGladeObject` | AutoGladeObject is an utility class thet relates together the Glade widget, its name and the XML element in a particular autoglade instance.
`AutoTreeviewSetCell` | AutoTreeviewSetCell helper class.

Exceptions
`AutoGladeAttributeError` | AutoGladeAttributeError is an identificable AttributeError
`AutoGladeRuntimeError` | AutoGladeRuntimeError

Function Summary
| `treeview_toogle_expansion(treeview, path)`

Imported modules:
  `gconf`, `gobject`, `gtk`, `os`, `re`, `sys`, `warnings`
Imported classes:
  `OptionParser`
Imported variables:
  `__version__`, `AGO_POSTPONED`, `AUTO_INVOKE_ARGS`, `AUTO_INVOKE_HASARGS`, `AUTO_INVOKE_METHOD`, `AUTO_INVOKE_RE`, `AUTO_INVOKE_WIDGET`, `AUTO_TREEVIEW_SET_CELL_RE`, `BLUE`, `colors`, `CYAN`, `DEBUG`, `EMPTY_GLADE`, `GREEN`, `MAGENTA`, `prog`, `RED`, `revision`, `SGR0`, `usage`, `version`

Generated by Epydoc 2.1 on Tue Oct 2 22:07:38 2007 | http://epydoc.sf.net